﻿@model List<AttachmentView>
<div id="FilesItems">
    <div class="table-responsive">
        <table class="table table-striped">
            <thead>
                <tr>
                    <th>#</th>
                    <th>@ServiceCall.FileName</th>
                    <th>@ServiceCall.Date</th>
                    <th>&nbsp;</th>
                </tr>
            </thead>
            <tbody>
                @foreach (AttachmentView item in Model)
                {
                    <tr>
                        <td>@item.Line</td>
                        <td>@item.FileName</td>
                        <td>@item.Date.Value.ToShortDateString()</td>
                        <td>
                            @{

                    string FullPath = "../../images/" + item.FileName + "." + item.FileExt;
                    <a id="@item.AbsEntry" href="@FullPath" target="_blank" download=@item.FileName class="btn btn-primary btn-xs"><span class="glyphicon glyphicon-file"></span>@item.FileName</a>

                            }
                        </td>
                    </tr>
                }
            </tbody>
        </table>
    </div>
</div>
